Bug 175016 - graphics/evolvotron: Update to version 0.6.2
Summary: graphics/evolvotron: Update to version 0.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-10 08:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.58 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff
graphics_evolvotron.diff (5.54 KB, patch)
2013-01-30 18:00 UTC, tkato432
no flags Details | Diff
graphics_evolvotron.diff (5.32 KB, patch)
2013-01-31 18:26 UTC, tkato432
no flags Details | Diff
graphics_evolvotron.diff (5.53 KB, patch)
2013-02-08 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:02 UTC
- Update to version 0.6.2

Remove file:
pkg-plist
Comment 1 Marcelo Araujo freebsd_committer 2013-01-18 06:09:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 tkato432 2013-01-30 18:00:00 UTC
Version 0.6.3 has been released.
Comment 3 tkato432 2013-01-31 18:26:52 UTC
Remake of the patch against current tree.
Comment 4 Martin Wilke freebsd_committer 2013-02-07 15:54:17 UTC
State Changed
From-To: open->feedback
Comment 5 Martin Wilke freebsd_committer 2013-02-07 15:54:17 UTC
Responsible Changed
From-To: araujo->miwi

Build fail with clang.. you want to fix it? 

http://miwibox.org/tb/index.php?action=describe_port&id=480
Comment 6 tkato432 2013-02-08 17:56:54 UTC
Here is the corrected patch.
Comment 7 Martin Wilke freebsd_committer 2013-02-10 07:52:50 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2013-02-10 07:53:01 UTC
Author: miwi
Date: Sun Feb 10 07:52:49 2013
New Revision: 311998
URL: http://svnweb.freebsd.org/changeset/ports/311998

Log:
  - Update to 0.6.3
  
  PR:		175016
  Submitted by:	ports fury

Added:
  head/graphics/evolvotron/files/
  head/graphics/evolvotron/files/patch-USAGE   (contents, props changed)
  head/graphics/evolvotron/files/patch-libevolvotron__dialog_help.cpp   (contents, props changed)
Modified:
  head/graphics/evolvotron/Makefile   (contents, props changed)
  head/graphics/evolvotron/distinfo   (contents, props changed)
  head/graphics/evolvotron/pkg-plist   (contents, props changed)

Modified: head/graphics/evolvotron/Makefile
==============================================================================
--- head/graphics/evolvotron/Makefile	Sun Feb 10 07:52:02 2013	(r311997)
+++ head/graphics/evolvotron/Makefile	Sun Feb 10 07:52:49 2013	(r311998)
@@ -2,41 +2,68 @@
 # $FreeBSD$
 
 PORTNAME=	evolvotron
-PORTVERSION=	0.6.1
-PORTREVISION=	3
+PORTVERSION=	0.6.3
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Generative software that evolves images/textures/patterns
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	boost_thread:${PORTSDIR}/devel/boost-libs
 
+OPTIONS_DEFINE=	DOCS
+
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
-USE_QT4=	corelib gui moc_build qmake_build xml
+USE_QT4=	corelib gui xml moc_build qmake_build
 USE_PYTHON=	yes
-USE_XORG=	x11
-GNU_CONFIGURE=	yes
-
+HAS_CONFIGURE=	yes
+CONFIGURE_ENV=	QTDIR="${QT_PREFIX}"
 MAKE_JOBS_UNSAFE=	yes
 
+MAN1=		evolvotron.1 evolvotron_mutate.1 evolvotron_render.1
+PORTDOCS=	*
+PLIST_FILES=	bin/evolvotron bin/evolvotron_mutate bin/evolvotron_render \
+		lib/libevolvotron.a lib/libfunction.a
+
+DESKTOP_ENTRIES="Evolvotron" "Interactive image generator" "" "${PORTNAME}" \
+		"Graphics;2DGraphics;" true
+
 .include <bsd.port.pre.mk>
 
+.if ${CXX:T:M*clang*} || ${OSVERSION} >= 1000024
+.for i in libevolvotron libfunction
+CXXFLAGS+=	-include ${WRKSRC}/${i}/${i}_precompiled.h \
+		-I${WRKSRC}/${i}
+.endfor
+.else
+QMAKEFLAGS+=	CONFIG+=precompile_header
+.endif
+
 post-patch:
-	${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|' ${WRKSRC}/configure
-	${REINPLACE_CMD} -e 28d ${WRKSRC}/libevolvotron/platform_specific.h
-	${REINPLACE_CMD} -e 30d ${WRKSRC}/libevolvotron/platform_specific.h
+	@${REINPLACE_CMD} -e \
+		's|/bin/bash|/bin/sh|' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		'/^CONFIG/s|precompile_header|| ; \
+		 /DEFINES/s|_LINUX|_BSD|' ${WRKSRC}/common.pro
+
+post-configure:
+	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${QMAKE} ${QMAKEFLAGS} \
+		VERSION_NUMBER="${PORTVERSION}" main.pro)
 
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/evolvotron/evolvotron ${PREFIX}/bin
-	@${INSTALL_PROGRAM} ${WRKSRC}/evolvotron_mutate/evolvotron_mutate ${PREFIX}/bin
-	@${INSTALL_PROGRAM} ${WRKSRC}/evolvotron_render/evolvotron_render ${PREFIX}/bin
-	@${INSTALL_DATA} ${WRKSRC}/libevolvotron/libevolvotron.a ${PREFIX}/lib
-	@${INSTALL_DATA} ${WRKSRC}/libfunction/libfunction.a ${PREFIX}/lib
-.if !defined(NOPORTDOCS)
+.for i in evolvotron evolvotron_mutate evolvotron_render
+	(cd ${WRKSRC}/${i} && ${INSTALL_PROGRAM} ${i} ${PREFIX}/bin)
+	(cd ${WRKSRC}/man/man1 && ${INSTALL_MAN} ${i}.1 ${MANPREFIX}/man/man1)
+.endfor
+.for i in libevolvotron libfunction
+	(cd ${WRKSRC}/${i} && ${INSTALL_DATA} ${i}.a ${PREFIX}/lib)
+.endfor
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${WRKSRC}/evolvotron.html ${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} evolvotron.html ${DOCSDIR})
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/graphics/evolvotron/distinfo
==============================================================================
--- head/graphics/evolvotron/distinfo	Sun Feb 10 07:52:02 2013	(r311997)
+++ head/graphics/evolvotron/distinfo	Sun Feb 10 07:52:49 2013	(r311998)
@@ -1,2 +1,2 @@
-SHA256 (evolvotron-0.6.1.tar.gz) = 70bf4dc6de69f43385047d3dfb6058c6d5b26957313486bfc452721ff05be503
-SIZE (evolvotron-0.6.1.tar.gz) = 156441
+SHA256 (evolvotron-0.6.3.tar.gz) = d1735fe84d90be004888017068f49fa00c97378fd7cca11a90a4a889ef681393
+SIZE (evolvotron-0.6.3.tar.gz) = 182357

Added: head/graphics/evolvotron/files/patch-USAGE
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/evolvotron/files/patch-USAGE	Sun Feb 10 07:52:49 2013	(r311998)
@@ -0,0 +1,13 @@
+--- USAGE.orig
++++ USAGE
+@@ -68,8 +68,8 @@
+ 
+   -m, --multisample <multisample grid>
+ 	Enables additional antialiasing passes.
+-	Specifing 2 or 3 will provide an additional pass with 2x2 or 3x3 samples per pixel.
+-	Specifiying 4 (of higher) will provide a 2x2 and a final 4x4 pass.
++	Specifying 2 or 3 will provide an additional pass with 2x2 or 3x3 samples per pixel.
++	Specifying 4 (of higher) will provide a 2x2 and a final 4x4 pass.
+ 	Specifying 1 provides the default behaviour of one sample per pixel.
+ 	For best rendering quality also specify -j.
+ 

Added: head/graphics/evolvotron/files/patch-libevolvotron__dialog_help.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/evolvotron/files/patch-libevolvotron__dialog_help.cpp	Sun Feb 10 07:52:49 2013	(r311998)
@@ -0,0 +1,15 @@
+--- libevolvotron/dialog_help.cpp.orig
++++ libevolvotron/dialog_help.cpp
+@@ -45,10 +45,10 @@
+ "    Esc - Returns to normal mode from full-screen/menu-hidden mode."
+ "  </li>"
+ "  <li>"
+-"    R - Reset (reset mutation paramters and locks)"
++"    R - Reset (reset mutation parameters and locks)"
+ "  </li>"
+ "  <li>"
+-"    T - Restart (preserve mutation paramters and locks)"
++"    T - Restart (preserve mutation parameters and locks)"
+ "  </li>"
+ "  <li>"
+ "    X - Remix (randomize function weights and restart)"

Modified: head/graphics/evolvotron/pkg-plist
==============================================================================
--- head/graphics/evolvotron/pkg-plist	Sun Feb 10 07:52:02 2013	(r311997)
+++ head/graphics/evolvotron/pkg-plist	Sun Feb 10 07:52:49 2013	(r311998)
@@ -1,7 +0,0 @@
-bin/evolvotron
-bin/evolvotron_mutate
-bin/evolvotron_render
-lib/libevolvotron.a
-lib/libfunction.a
-%%PORTDOCS%%%%DOCSDIR%%/evolvotron.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"